All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
global.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Macros

#define | __SND_DLSYM_VERSION(name, version)
| Helper macro for SND_DLSYM_BUILD_VERSION.
#define | SND_DLSYM_BUILD_VERSION(name, version)
| Appends the build version to the name of a versioned dynamic symbol.
#define | __STRING(x) #x
| Return 'x' argument as string.
#define | SND_DLSYM_VERSION(version) __STRING(version)
| Returns the version of a dynamic symbol as a string.
#define | __snd_alloca(ptr, type) do { *ptr = (type##_t *) alloca(type##_sizeof()); memset(*ptr, 0, type##_sizeof()); } while (0)
| alloca helper macro.

## Typedefs

typedef struct _snd_async_handler | snd_async_handler_t
| Internal structure for an async notification client handler. More...
typedef void(* | snd_async_callback_t )(snd_async_handler_t *handler)
| Async notification callback. More...
typedef struct timeval | snd_timestamp_t
typedef struct timespec | snd_htimestamp_t

## Functions

const char * | snd_asoundlib_version (void)
| Returns the ALSA sound library version in ASCII format. More...
void * | snd_dlopen (const char *file, int mode)
| Opens a dynamic library - ALSA wrapper for `dlopen`. More...
void * | snd_dlsym (void *handle, const char *name, const char *version)
| Resolves a symbol from a dynamic library - ALSA wrapper for `dlsym`. More...
int | snd_dlclose (void *handle)
| Closes a dynamic library - ALSA wrapper for `dlclose`. More...
int | snd_async_add_handler (snd_async_handler_t **handler, int fd, snd_async_callback_t callback, void *private_data)
| Registers an async handler. More...
int | snd_async_del_handler (snd_async_handler_t *handler)
| Deletes an async handler. More...
int | snd_async_handler_get_fd (snd_async_handler_t *handler)
| Returns the file descriptor assigned to an async handler. More...
int | snd_async_handler_get_signo (snd_async_handler_t *handler)
| Returns the signal number assigned to an async handler. More...
void * | snd_async_handler_get_callback_private (snd_async_handler_t *handler)
| Returns the private data assigned to an async handler. More...
struct snd_shm_area * | snd_shm_area_create (int shmid, void *ptr)
struct snd_shm_area * | snd_shm_area_share (struct snd_shm_area *area)
int | snd_shm_area_destroy (struct snd_shm_area *area)
int | snd_user_file (const char *file, char **result)
| Get the full file name. More...

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver